Skip to content
agentsub
Esc
↑↓navigate↵open⌘Jpreview

Payment provider connection status

GET/v1/payments/status
Authorization
AuthorizationBearer token (JWT) · headerrequired

Clerk human owner session JWT; iss must equal the configured Clerk issuer and the identity must be a human (not agent) owner with a verified email.

or
AuthorizationBearer token (JWT) · headerrequired

Verified AgentID agent JWT (iss https://auth.agentid.com) or an AgentSub OAuth access token (typ at+jwt, iss https://api.agentsub.dev, scope agentsub:agent). The agent's human owner must exist in Clerk with the same verified email.

or
AuthorizationOAuth2 access token · headerrequired
Scopes:agentsub:owner
Responses
200

Successful response

enabledboolean
checkoutConfiguredboolean
linkConfiguredboolean
linkConnectedboolean
subscriptionsEnabledboolean
503

Runtime or provider configuration unavailable (runtime_configuration_required, signing_configuration_required, runtime_unavailable, workspace_unavailable, provider_configuration_required)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
Request
curl -X GET 'https://api.agentsub.dev/v1/payments/status' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "enabled": true,
  "checkoutConfigured": true,
  "linkConfigured": true,
  "linkConnected": true,
  "subscriptionsEnabled": false
}